Orange Forum • View topic - Installing under Debian unstable with PyQwt 4.2.1

Installing under Debian unstable with PyQwt 4.2.1

A place to ask questions about methods in Orange and how they are used and other general support.

Installing under Debian unstable with PyQwt 4.2.1

Postby jkrapac » Tue Oct 03, 2006 15:00

Hi,

I managed to compile Orange under gcc 4.1.2, python 2.4, but it seems that there are problems with installation. I use PyQwt 4, which is included in Python as pakcage Qwt4, and all Orange sources include PyQwt as package qwt. So I used Python 2.3 and aliased all Orange sources that reference qwt package (import qwt -> import Qwt4 as qwt) but there are more problems with interfaces. It seems that big part of Python libraries' (PyQt, PyQwt, Numeric...) interface that Orange uses has been changed since deployment of last version of Orange.

Which versions of *all* packages should I use in order to run OrangeCanvas?

Thank You,

---
Josip Krapac
<josip.krapac@gmail.com>

Return to Questions & Support